Try it free

Platform tokens API - PUT a platform token status

  • Latest Dynatrace
  • Reference
  • Published Dec 04, 2025

Updates platform token's status in an account.

The request consumes an application/json payload.

PUT

https://api.dynatrace.com/iam/v1/accounts/{accountUuid}/platform-tokens/{platformTokenId}/status

Authentication

To execute this request, you need an OAuth client with the platform-token:tokens:manage scope assigned. For user-level authorization, the user should either have the user-management role assigned or a policy assigned that includes the statement ALLOW platform-token:tokens:manage;.

Parameters

ParameterTypeDescriptionInRequired
accountUuidstring

The ID of the required account.

You can find the UUID on the Account Management > Identity & access management > OAuth clients page, during creation of an OAuth client.

pathRequired
platformTokenIdstring-pathRequired
bodyPlatformTokenStatusUpdateDto

The JSON body of the request. Contains the status the platform token should be changed to.

bodyRequired

Request body objects

The PlatformTokenStatusUpdateDto object

ElementTypeDescriptionRequired
statusstring-
The element can hold these values
  • ACTIVE
  • INACTIVE
Required

Request body JSON model

This is a model of the request body, showing the possible elements. It has to be adjusted for usage in an actual request.

{
"status": "ACTIVE"
}

Response

Response codes

CodeDescription
204

Successful response - platform token updated.

Example

In this example, the request updates the status of a platform token. It updates a platform token with tokenId dt0s16.TYUHJKNM for the account with accountUuid 2b794097-8ad2-4b32-b923-0131da2eeddf.

Curl

curl -X 'PUT' \
'https://api-dev.internal.dynatracelabs.com/iam/v1/accounts/2b794097-8ad2-4b32-b923-0131da2eeddf/platform-tokens/dt0s16.TYUHJKNM/status' \
-H 'accept: */*' \
-H 'Authorization: Bearer eywedGciOiJFUzI1NiIsInR7cCI6IkpCDVIsImtpZCI6IjEifQ' \
-H 'Content-Type: application/json' \
-d '{
"status": "INACTIVE"
}'

Request URL

https://api-dev.internal.dynatracelabs.com/iam/v1/accounts/2b794097-8ad2-4b32-b923-0131da2eeddf/platform-tokens/dt0s16.TYUHJKNM/status

Request body

{
"status": "INACTIVE"
}

Response code

200